<template>
	<view class="goCode">
		<view class="code">
			<image :src="code1" alt="" class="img" />
		</view>
	</view>
</template>

<script>
	import mineApi from '@/api/mine/index.js'
	export default {
		data() {
			return {
				primary:this.$theme.primary,
				settingFile:getApp().globalData.siteinfo,
				code1: ''
			};
		},
		onShow() {
			var that = this;
			mineApi.myqrcode({
			// #ifdef MP-WEIXIN
			apptype: 'weixin'
			// #endif
			// #ifdef H5
			apptype: 'h5'
			// #endif
			}).then(ret=>{
				
				if(ret.status == 200){
					that.code1 = ret.data.img
				}else{
					this.$u.toast(ret.msg)
				}
			})
		}
	}
</script>

<style lang="scss">
	page{
		width:100%;
		height: 100%;
	}
	.code {
		width: 100%;
		height: 100%;
	}

	.code .img {
		position: fixed;
		width: 100%;
		height: 100%;
	}
</style>
